Name:           pdfpc
Version:        4.6.0
Release:        2
Summary:        A GTK based presentation viewer application for GNU/Linux

License:        GPL-3.0-or-later
URL:            https://%{name}.github.io/
Source0:        https://github.com/%{name}/%{name}/archive/v%{version}.tar.gz

Patch0001:      create-lists-of-nullable-types.patch

BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  gtk3-devel
BuildRequires:  gstreamer1-devel
BuildRequires:  gstreamer1-plugins-base-devel
BuildRequires:  json-glib-devel
BuildRequires:  libmarkdown-devel
BuildRequires:  librsvg2-devel
BuildRequires:  libgee-devel
BuildRequires:  pango-devel
BuildRequires:  poppler-glib-devel
BuildRequires:  webkit2gtk3-devel
BuildRequires:  vala vala-devel
BuildRequires:  qrencode-devel

%description
pdfpc is a GTK based presentation viewer application for GNU/Linux which uses
Keynote like multi-monitor output to provide meta information to the speaker
during the presentation. It is able to show a normal presentation window on one
screen, while showing a more sophisticated overview on the other one providing
information like a picture of the next slide, as well as the left over time
till the end of the presentation. The input files processed by pdfpc are PDF
documents, which can be created using nearly any of today's presentation
software.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%cmake -DSYSCONFDIR=/etc .
%make_build


%install
%make_install


%files
%doc README.rst CHANGELOG.rst
%{_bindir}/%{name}
%license LICENSE.txt
%config(noreplace) %{_sysconfdir}/%{name}rc
%{_mandir}/man1/%{name}*
%{_mandir}/man5/%{name}*
%{_datadir}/%{name}


%changelog
* Wed Sep 20 2023 xu_ping <707078654@qq.com> - 4.6.0-2
- fix build error due to vala upgrade.

* Wed Apr 12 2023 chenchen <chen_aka_jan@163.com> - 4.6.0-1
- Upgrade pdfpc to 4.6.0

* Tue Jan 04 2022 yaoxin <yaoxin30@huawei.com> - 4.5.0-1
- Upgrade pdfpc to 4.5.0

* Fri Jul 30 2021 chenyanpanHW <chenyanpan@huawei.com> - 4.3.4-2
- DESC: delete -S git from %autosetup, and delete BuildRequires git-core

* Tue Nov 17 2020 wangyue <wangyue92@huawei.com> - 4.3.4-1
- package init
